# TODO: brianw11: Clean up file, remove comments, order each service the same
# TODO: brianw11: Standardize verbiage across all service offerings
#- id: migration_jenkins
#  name: Jenkins Migration
#  desc_url: https://about.gitlab.com/services/migration/jenkins
#  level: 1 - Product
#  category: Migration
#  maturity: Minimal
#  planned-maturity: Lovable
#  price: TBD
#  price_desc: TBD
#  duration: TBD

### Deprecated Jira Integratin SKU in April 2023
#- id: integration_jira
#  name:     JIRA Integration
#  desc_url: https://about.gitlab.com/services/implementation/integration/
#  level:    1 - Product
#  category: Consulting
#  maturity: Viable
#  description2: Setup and test integration between GitLab and Jira.
#  planned-maturity: Lovable
#  price_desc: $2,400
#  price: 2400
#  duration: 1
#  duration_desc: ~1-3 days
#  target_audience: Customers who need to integrate GitLab to Jira.
#  sku: GL-JIRA
#  standard_sow: https://docs.google.com/document/d/1QwlpyetVQ_J27Vp8quZsayu7xgJxk5wdcnmNK7OvAiQ/edit

### Deprecated Jenkins Integratin SKU in April 2023
#- id: integration_jenkins
#  name:     Jenkins Integration
#  desc_url: https://about.gitlab.com/services/implementation/integration/
#  level:    1 - Product
#  category: Consulting
#  maturity: Viable
#  description2: Setup and test integration between GitLab and Jenkins.
#  planned-maturity: Lovable
#  price: 2400
#  price_desc: $2,400
#  duration: 1
#  duration_desc: ~1-3 days
#  target_audience: Customers who need to integrate GitLab to Jenkins.
#  sku: GL-JENKINS
#  standard_sow: https://docs.google.com/document/d/1sQWzVVpF4U9mKYgZ2VEPcMDznjQ0qlO8O5ZuTwAMCZ0/edit

## Deprecated LDAP Integratin SKU in April 2023
#- id: integration_ldap
#  name:     LDAP Integration
#  desc_url: https://about.gitlab.com/services/implementation/integration/
#  level:    1 - Product
#  category: Consulting
#  maturity: Viable
#  description2: Setup and test integration between GitLab and LDAP.
#  planned-maturity: Lovable
#  price: 2400
#  price_desc: $2,400
#  duration: 1
#  duration_desc: ~1-3 days
#  target_audience: Customers who need to integrate GitLab to LDAP.
#  sku: GL-LDAP
#  standard_sow: https://docs.google.com/document/d/1pIgzOv4p1MAxfIn6n3jYJ_0LsupDnNPFDCg0WebG0VQ/edit#

- id: implementation-quickstart
  name: Implementation QuickStart
  desc_url: https://drive.google.com/file/d/1ZQH8S5YJCA228ZypIXL5cs-8ccynCScP/view?usp=sharing
  short_desc: Implementation QuickStart helps you quickly and easily deploy a simple GitLab instance into one of your cloud accounts.
  long_desc: The Implementation QuickStart Consulting package helps you quickly and easily deploy a simple GitLab instance into one of your cloud accounts.
  description2: Use Ansible as configuration management and set up authentication services and learn best practices around maintaining and deploying a simple GitLab instance.
  level: 1 - Product
  order: 0
  category: Implementation
  maturity: Viable
  planned-maturity: Lovable
  price_desc: Varies depending on customer context 
  duration: 10
  duration_desc: 10 days
  target_audience: Customers who want to learn how to install a simple GitLab instance into one of their cloud accounts. 
  sowsd: SOW Template
  sowsd_ref: https://drive.google.com/file/d/1qPH-iyn5RysGlCt7wwZHzXYebjQ_oGcF/view?usp=sharing
  
- id: implementation-quickstart-sm-ha
  name: Implementation QuickStart - Self Managed (HA)
  desc_url: https://drive.google.com/file/d/18LSkP5ZqJDkzLO2558W_70hS3KsjfjJe/view?usp=sharing
  short_desc: Rapid results helps you to be productive quickly using GitLab.
  long_desc: The Implementation Quickstart - Self Managed package helps you implement your GitLab solution and enable your organization to take advantage of your GitLab purchase quickly. This service will include hands on guidance about how to install and configure a GitLab instance and best practices around deployment maintainability, high availability, and disaster recovery.
  description2: Deploy and configure a secure, stable, HA, performant GitLab self managed instance. Educate your end users. With this combination of services, get the most value from your investment in GitLab
  level: 1 - Product
  order: 1
  category: Implementation
  maturity: Viable
  planned-maturity: Lovable
  price: 58,080
  price_desc: $58,080 - fixed price
  duration: 20
  duration_desc: 20 days
  target_audience: Customers who want to deploy a stable and highly-available GitLab instance and educate their users.
  sowsd: Service Description
  sowsd_ref: https://drive.google.com/file/d/1aHwGflf2EpVee4LN6rQTUn1mTiT0mAfU/view?usp=sharing

- id: implementation-quickstart-GitLab.com
  name: Implementation QuickStart - GitLab.com
  desc_url: https://drive.google.com/file/d/1dtCtZjCgolbO0lZ8BzTfPG_BNC6Tv078/view?usp=share_link
  # desc_url: https://about.gitlab.com/services/rapid-results/
  short_desc: Rapid results helps you quickly get users to be productive using gitlab.
  long_desc: The GitLab Implementation QuickStart package helps you quickly implement your GitLab solution and enable your organization to take advantage of your GitLab purchase quickly. Our Professional Services Engineers aid in installing and configuring your GitLab solution so that it runs as smoothly as possible. The Professional Services Engineer will be dedicated to working with your team to architect and advise on best practices for getting the most value possible from your GitLab purchase.
  description2: Configure, secure and integrate your gitlab.com group. Educate your end users. With this combination of services, get the most value from your investment in GitLab
  level: 1 - Product
  order: 2
  category: Implementation
  maturity: Viable
  planned-maturity: Lovable
  price: 17500
  price_desc: $17,500 - fixed price
  duration: 10
  duration_desc: 10 days
  target_audience: Customers who want to configure and secure their gitlab.com group and educate their users.
  sowsd: Service Description
  sowsd_ref: https://drive.google.com/file/d/1QAYfpyP7LoC3Xnz-a_jx2u5SwqOPr107/view?usp=sharing

# Migration plus was replaced by migration quickstart so this is being removed. 
# - id: migration-plus
#   name: Migration Package
#   desc_url: https://drive.google.com/file/d/1tvwqN8e5_3i-hhsKeudIoRRWpfk80SZT/view?usp=share_link
#   short_desc: Migration package enables companies to quickly migrate their data from legacy source code systems.
#   long_desc: The Migration package enables companies to migrate their data from previous source code management systems (limited to 500 users / 1,000 repositories) and get up and running quickly.
#   description2: The Migration package enables companies to migrate their data from previous source code management systems (limited to 500 users / 1,000 repositories) and get up and running quickly.
#   level:    1 - Product
#   category: Consulting
#   maturity: Viable
#   planned-maturity: Lovable
#   price: 44,040
#   price_desc: $44,040 for migration of up to 1000 repositories from approved source systems + 3 preselected GitLab training courses.
#   duration: 15
#   duration_desc: 15 days
#   target_audience: Customers who need to migrate data and users from GitHub, Bitbucket, or GitLab to GitLab.
#   standard_sow: https://docs.google.com/document/d/1Fa_AH7gY-ndeK_MiSx5njQKjUo2D0TK2/edit?usp=share_link&ouid=110714040742704238151&rtpof=true&sd=true
#   delivery_kit: https://gitlab.com/gitlab-com/customer-success/professional-services-group/global-practice-development/migration/migration-template

- id: migration-quickstart
  name: Migration QuickStart
  desc_url: https://drive.google.com/file/d/1dPs65e23bzlBQ_DxXbAkzZl-6t5OkFzZ/view?usp=share_link
  short_desc: Migration package enables companies to quickly migrate their data from legacy source code systems.
  long_desc: The Migration package enables companies to migrate their data from previous source code management systems (limited to 500 users / 1,000 repositories) and get up and running quickly.
  description2: The Migration package enables companies to migrate their data from previous source code management systems (limited to 500 users / 1,000 repositories) and get up and running quickly.
  level: 1 - Product
  order: 3
  category: Migration
  maturity: Viable
  planned-maturity: Lovable
  price: 31680
  price_desc: $31,680 - fixed price
  duration: 15
  duration_desc: 12 days
  target_audience: Customers who need to migrate data and users from GitHub, Bitbucket, or GitLab to GitLab.
  sowsd: Service Description
  sowsd_ref: https://drive.google.com/file/d/1Diq1e8yQH_8q-JEViRgpP8WX0SxdJnO6/view?usp=sharing

- id: health-check
  name: Health Check
  desc_url: https://drive.google.com/file/d/1OWZdw44MMaYLyrvxGo96vYuzz5wTXeaq/view?usp=sharing
  subtitle: Validate your self-managed GitLab deployment architecture
  short_desc: System health evaluation of your self-managed deployment architecture to provide recommendations on how to optimize for performance, stability, and availability.
  long_desc: health check long description
  description2: Evaluates your GitLab deployment architecture to provide recommendations on how to optimize for performance, stability, and availability.
  summary: Are you planning for additional capacity or system load? Are you starting to experience less than optimal performance? We will leverage the <a href="/blog/2020/02/18/how-were-building-up-performance-testing-of-gitlab/">GitLab Performance Tool</a> to determine opportunities for improvement in your current deployment. We will provide a report recommending updates to the deployment architecture to achieve the goals you've established.
  whos-this-for: Customers who are planning for additional capacity or system load in the near future and customers who are starting to experience less than optimal performance in their GitLab self-managed deployments.
  target_audience: Self-Managed customers who are planning for additional capacity or system load in the near future
  whats-included0: A discovery session to ensure we're focused on solving the problems you care about
  whats-included1: An analysis of your current deployment architecture using Gitlab Performance Tool
  whats-included2: A report outlining architectural findings and recommendations to prepare to meet your goals
  level: 1 - Product
  order: 4
  maturity: Viable
  category: Advisory
  duration_desc: 5 Days
  sowsd: Service Description
  sowsd_ref: https://drive.google.com/file/d/1t5tHaXZrMiNgLGzaBTT2ksjjgDHJqyQN/view?usp=sharing
  price_desc: $15,840 - fixed price 

- id: devsecops-workshop
  name: DevSecOps Workshop
  desc_url: https://drive.google.com/file/d/1mZm_DiwPdtssFqBolrDqPooaH6kA5Y5u/view?usp=share_link
  short_desc: Workshop around security design patterns, leaving behind a comprehensive security and compliance automated CI/CD pipeline in an existing GitLab project to explain and show the value of GitLabʼs security features.
  description2: Plan, design and implement an CI/CD approach around reusable components that is extended to cover security and compliance and enforces security scans for all applications via a standardized compliance framework pipeline template.
  level: 1 - Product
  order: 5
  category: Advisory
  maturity: Minimal
  planned-maturity: Lovable
  sowsd: Service Description
  sowsd_ref: https://drive.google.com/file/d/1aQ0D-OQtS5v0yEtjL3KZeb_yQQb_l0Qg/view?usp=sharing
  duration_desc: 8 days
  target_audience: Customers who want to secure their software supply chain
  price_desc: $26,400 - fixed price

- id: cicd-workshop
  name: CI/CD Workshop
  desc_url: https://drive.google.com/file/d/10RzC-e0fhvgKBRaoZlxEgUQc90Z_0IVR/view?usp=sharing
  short_desc: Workshop around CI/CD design patterns, leaving behind a cautomated CI/CD pipeline in an existing GitLab project to explain and show the value of GitLabʼs CI features.
  description2: Plan, design and implement an CI/CD approach around reusable components that is extended to cover security and compliance and enforces security scans for all applications via a standardized compliance framework pipeline template.
  level: 1 - Product
  order: 6
  category: Advisory
  maturity: Minimal
  planned-maturity: Lovable
  sowsd: Service Description
  sowsd_ref: https://drive.google.com/file/d/1uwFeXEJWWEdh9TUa7u8SvH0UIeAW9XfG/view?usp=sharing
  duration_desc: 8 days
  target_audience: Customers who want to automate their software delivery process. 
  price_desc: $26,400 - fixed price

- id: Dedicated-Engr
  name: Dedicated Engineer
  price: 162690
  short_desc: Dedicated Engineer will work as an embedded part of your team for 3 months. They will focus on efforts to help drive GitLab adoption and drive best practices to help you maximize the value in your investment in GitLab.
  description2: We offer dedicated engineering engagements for three set durations, 3, 6 and 12 months. During these engagements a PS Engineer will work with you full time, focusing on building solutions to business problems using GitLab.
  desc_url: https://drive.google.com/file/d/1715uZ7sAu00PK7-5jaMsfWYzp6GZcBT7/view?usp=sharing
  level: 1 - Product
  order: 7
  maturity: Viable
  category: Acceleration
  duration_desc: 3, 6, or 12 months </br> GitLab PSE 40 hrs/week, GitLab PM 4 hrs/week 
  price_desc: $162,690 (3mo), $325,380 (6mo), $650,760 (12mo) - fixed price
  target_audience: This is for GitLab Customers who are interested in augmenting their staff with a GitLab Professional Services Engineer. 
  sowsd: Service Description
  sowsd_ref: https://drive.google.com/file/d/1U1Ntzt6zB_gKKqos6B2xrtplc-fii40l/view?usp=sharing

# - id: Dedicated-6
#   name: Dedicated Engineer - 6 Month
#   price: 325380
#   short_desc: Dedicated Engineer will work as an embedded part of your team for 6 months. They will focus on efforts to help drive GitLab adoption and drive best practices to help you maximize the value in your investment in GitLab.
#   description2: We offer dedicated engineering engagements for three set durations, 3, 6 and 12 months. During these engagements a PS Engineer will work with you full time, focusing on building solutions to business problems using GitLab.
#   desc_url: https://drive.google.com/file/d/1715uZ7sAu00PK7-5jaMsfWYzp6GZcBT7/view?usp=sharing
#   level: 1 - Product
#   order: 7
#   maturity: Viable
#   category: Acceleration
#   duration_desc: 6 months, 40 hours per week
#   price_desc: $325,380 - fixed price SKU
#   target_audience: This is for Customers who are interested in augmenting their staff with a GitLab Professional Services Engineer.

# - id: Dedicated-12
#   name: Dedicated Engineer - 12 Month
#   price: 650760
#   short_desc: Dedicated Engineer will work as an embedded part of your team for 12 months. They will focus on efforts to help drive GitLab adoption and drive best practices to help you maximize the value in your investment in GitLab.
#   description2: We offer dedicated engineering engagements for three set durations, 3, 6 and 12 months. During these engagements a PS Engineer will work with you full time, focusing on building solutions to business problems using GitLab.
#   desc_url: https://drive.google.com/file/d/1715uZ7sAu00PK7-5jaMsfWYzp6GZcBT7/view?usp=sharing
#   level: 1 - Product
#   order: 8
#   maturity: Viable
#   category: Acceleration
#   duration_desc: 12 months, 40 hours per week
#   price_desc: $650,760 - fixed price SKU
#   target_audience: This is for Customers who are interested in augmenting their staff with a GitLab Professional Services Engineer.

- id: Dedicated-Cleared
  name: Dedicated Engineer (With Security Clearance)
  description2: Dedicated Engineer (with security clearance) will work as an embedded part of your team for 3 months. They will focus on efforts to help drive GitLab adoption and drive best practices to help you maximize the value in your investment in GitLab.
  desc_url: https://drive.google.com/file/d/1YhcQ92828H120EpQJOrY3Mq-4prdr1XU/view?usp=sharing
  level: 1 - Product
  order: 8
  maturity: Viable
  category: Acceleration
  duration_desc: 3, 6, or 12 months </br> GitLab PSE 40 hrs/week, GitLab PM 4 hrs/week 
  price_desc: $184,875 (3mo), $369,750 (6mo), $739,500 (12mo) - fixed price
  target_audience: This is for GitLab Customers who are interested in augmenting their staff with a Security cleared GitLab Professional Services Engineer.
  sowsd: Service Description
  sowsd_ref: https://drive.google.com/file/d/1TN7KxlpyZ_-yQuvHWCn3RsRutCCTTbjZ/view?usp=sharing

# - id: Dedicated-Cleared-6
#   name: Dedicated Engineer (Cleared) - 6 Month
#   price: 369750
#   description2: Dedicated Engineer (with security clearance) will work as an embedded part of your team for 6 months. They will focus on efforts to help drive GitLab adoption and drive best practices to help you maximize the value in your investment in GitLab.
#   desc_url: https://drive.google.com/file/d/1YhcQ92828H120EpQJOrY3Mq-4prdr1XU/view?usp=sharing
#   level: 1 - Product
#   order: 10
#   maturity: Viable
#   category: Acceleration
#   duration_desc: 6 months, 40 hours per week
#   price_desc: $369,750 - fixed price SKU
#   target_audience: This is for Customers who are interested in augmenting their staff with a GitLab Professional Services Engineer.

# - id: Dedicated-Cleared-12
#   name: Dedicated Engineer (Cleared) - 12 Month
#   price: 739500
#   description2: Dedicated Engineer (with security clearance) will work as an embedded part of your team for 12 months. They will focus on efforts to help drive GitLab adoption and drive best practices to help you maximize the value in your investment in GitLab.
#   desc_url: https://drive.google.com/file/d/1YhcQ92828H120EpQJOrY3Mq-4prdr1XU/view?usp=sharing
#   level: 1 - Product
#   order: 11
#   maturity: Viable
#   category: Acceleration
#   duration_desc: 12 Months of a dedicated GitLab Professional Services Engineer
#   price_desc: $739,500 - fixed price SKU
#   target_audience: This is for Customers who are interested in augmenting their staff with a GitLab Professional Services Engineer. 

- id: Dedicated-PM
  name: Dedicated Program Manager
  short_desc: A Dedicated Program Manager will work as part of your team for 3 months. They will focus on efforts to help coordinate GitLab adoption across the enterprise and drive best practices to help you maximize the value in your investment in GitLab.
  description2: We offer dedicated program management engagements for three set durations, 3, 6 and 12 months. During these engagements a PS Program Manager will work with you full time, focusing on coordinating your internal and external milestones, managing expectations, and communicating status.
  desc_url: https://drive.google.com/file/d/1BqR17Bd5JGry8SdxAhrX_ykAsgBpxvqZ/view?usp=sharing
  level: 1 - Product
  order: 9
  maturity: Viable
  category: Acceleration
  duration_desc: 3, 6, or 12 months, 40 hours per week
  price_desc: $162,690 (3mo), $325,380 (6mo), $650,760 (12mo) - fixed price
  target_audience: This is for GitLab Dedicated Customers who are interested in augmenting their staff with a GitLab Program Manager.
  sowsd: SOW Template
  sowsd_ref: https://drive.google.com/file/d/1mDuSy3sMuQaDhpiAoJ59AuEEpcrWFGnv/view?usp=sharing

# - id: Adoption-6
#   name: Dedicated Program Manager - 6 Month
#   price: 325380
#   standard_sow: https://docs.google.com/document/d/1ejRhREpQQCS2s9NFWET1-zc1C4nhdUlw/edit?usp=share_link&ouid=110714040742704238151&rtpof=true&sd=true
#   short_desc: Adoption Program Manager will work as part of your team for 6 months. They will focus on efforts to help coordinate GitLab adoption across the enterprise and drive best practices to help you maximize the value in your investment in GitLab.
#   description2: We offer dedicated program management engagements for three set durations, 3, 6 and 12 months. During these engagements a PS Program Manager will work with you full time, focusing on coordinating your internal and external milestones, managing expectations, and communicating status.
#   desc_url: https://drive.google.com/file/d/1BqR17Bd5JGry8SdxAhrX_ykAsgBpxvqZ/view?usp=sharing
#   level: 1 - Product
#   order: 13
#   maturity: Viable
#   category: Acceleration
#   duration_desc: 6 months, 40 hours per week
#   price_desc: $325,380
#   target_audience: This is for Customers who are interested in augmenting their staff with a GitLab Program Manager.

# - id: Adoption-12
#   name: Dedicated Program Manager - 12 Month
#   price: 650760
#   standard_sow: https://docs.google.com/document/d/1I9i7lKjyfHy6tH7-kWAE49q1DM5mVWIL/edit?usp=share_link&ouid=110714040742704238151&rtpof=true&sd=true
#   short_desc: Adoption Program Manager will work as part of your team for 3 months. They will focus on efforts to help coordinate GitLab adoption across the enterprise and drive best practices to help you maximize the value in your investment in GitLab.
#   description2: We offer dedicated program management engagements for three set durations, 3, 6 and 12 months. During these engagements a PS Program Manager will work with you full time, focusing on coordinating your internal and external milestones, managing expectations, and communicating status.
#   desc_url: https://drive.google.com/file/d/1BqR17Bd5JGry8SdxAhrX_ykAsgBpxvqZ/view?usp=sharing
#   level: 1 - Product
#   order: 14
#   maturity: Viable
#   category: Acceleration
#   duration_desc: 12 months, 40 hours per week
#   price_desc: $650,760
#   target_audience: This is for Customers who are interested in augmenting their staff with a GitLab Program Manager.

- id: Consulting-Block
  name: Consulting Block
  price: $15,840
  description2: Get access to GitLab experts. We can provide technical guidance to help you on your adoption journey. 
  desc_url: https://drive.google.com/file/d/1GwtlTRMyGZ6UZuxgtoQMy4AE9Q9grOSW/view?usp=sharing
  level: 1 - Product
  order: 10
  maturity: Viable
  category: Acceleration
  duration_desc: 48 hours
  price_desc: $15,840 - fixed price
  target_audience: This is for Customers who want access to experts to help them plan, design and validate their architecture, devops and security processes, and overall adoption approach. 
  sowsd: Service Description
  sowsd_ref: https://drive.google.com/file/d/16QzojbEXlJofZGUzapBrJK0GlKGFDeMF/view?usp=sharing 

# - id: Consulting-Block-Year 
#   name: Consulting Block (1 Year)
#   standard_sow: https://docs.google.com/document/d/1r5GGQTid4AWQeXVBZZov8jt_He9EneGw/edit?usp=share_link&ouid=110714040742704238151&rtpof=true&sd=true
#   description2: Purchase GitLab expert services to provide best-practices guidance over the course of a year.  
#   desc_url: https://drive.google.com/file/d/1uZuqe_O0W-oYepsXSPchWsXg7Pn0XsBy/view?usp=drive_link
#   level: 1 - Product
#   order: 16
#   maturity: Viable
#   category: Acceleration
#   duration_desc: 8 hours per week expert services for 48 of 52 weeks
#   price: $126,720 - T&M SKU
#   target_audience: This is for Customers who know they need expert services guidance over the course of a year.

# Deprecated in September 2023 because these SKUs have too many variables to be fixed. Causing too much scope creep
# - id: Implementation-Quickstart-HA
#   name: Implementation Quickstart HA
#   subtitle: Deploy a highly-available, secure GitLab system quickly
#   summary: Engage with the Professional Services Engineering team to deploy and configure a highly-available and secure GitLab system into one of your cloud accounts (AWS, GCP or Azure). We will use deployment automation to help ensure you can maintain software upgrades easily in the future. We will provide you knowledge transfer by providing over-the-shoulder instructions from which your team can learn.
#   whos-this-for: Customers who have more than 1,000 but less than 5,000 users and want to maximize Availability of their GitLab Self-Managed deployment. 
#   whats-included0: A discovery session to understand goals, constraints, and timeline. 
#   whats-included1: Design and deployment preparation using the GitLab Environment Toolkit (GET) installer. 
#   whats-included2: Infrastructure as code, Configuration Automation files and a running GitLab instance
#   standard_sow: https://docs.google.com/document/d/1n9fy0l3OJ7M054wMqm5wVTy8xMIEsLFi/edit?usp=share_link&ouid=110714040742704238151&rtpof=true&sd=true
#   price: $32,500
#   short_desc: Deploy a GitLab 3K user reference architecture in your choice of one of the three major cloud providers.
#   description2: Design, Implement, and configure GitLab HA in AWS, GCP or Azure using Terraform and Ansible. 
#   desc_url: https://drive.google.com/file/d/1NchZf2Dqk-5jeci-msx5l91onkj-YaIQ/view?usp=share_link
#   level: 1 - Product
#   maturity: Viable
#   category: Consulting
#   duration_desc: Estimated to be 3 weeks total 
#   price_desc: $44,880
#   target_audience: Customers who have more than 1,000 users and/or a need for a Highly-Available GitLab instance deployed to one of the three major cloud providers.

# - id: Implementation-Quickstart
#   name: Implementation Quickstart
#   subtitle: Deploy an easy-to-maintain, secure GitLab instance quickly
#   summary: Engage with the Professional Services Engineering team to deploy a simple, easy-to-maintain and secure GitLab instance into one of your cloud accounts (AWS, GCP or Azure). We will use deployment automation to help ensure you can maintain software upgrades easily in the future. We will transfer knowledge by providing over-the-shoulder instructions from which your team can learn.  
#   whos-this-for: Customers who have less than 1,000 users and want to minimize the level of effort to maintain the GitLab deployment
#   whats-included0: A discovery session to understand goals, constraints, and timeline. 
#   whats-included1: Design and deployment preparation using the GitLab Environment Toolkit (GET) or the GitLab Omnibus installer. 
#   whats-included2: Infrastructure as code, Configuration Automation files (if using GET) and a running GitLab instance
#   standard_sow: https://docs.google.com/document/d/1CfrtPgYkwWAEmEWwCsDs9diT5bjKLLy4/edit?usp=share_link&ouid=110714040742704238151&rtpof=true&sd=true
#   price: $17,600
#   short_desc: Deploy a GitLab 1K user reference architecture in your choice of one of the three major cloud providers.  
#   description2: Design, Implement, and configure GitLab 1K Reference Architecture in AWS, GCP or Azure
#   desc_url: https://drive.google.com/file/d/15NxIJpDF2TufNbWs25IqEzCCmptwO8Qz/view?usp=share_link
#   level: 1 - Product
#   maturity: Viable
#   category: Consulting
#   duration_desc: Estimated to be 1.5 weeks total 
#   price_desc: $17,600
#   target_audience: Customers who have less than 1,000 users and/or require an easy-to-maintain GitLab deployment

- id: cicd-app-modernization
  name: CI/CD App Modernization
  desc_url: https://drive.google.com/file/d/1ib6-xhja3WJbV_46rU2iDF9I-4I8xo8M/view?usp=drive_link
  short_desc: Create up to two end to end application GitLab CI/CD pipelines and build foundation to scale adoption across the rest of the teams.
  description2: Transformation of current CI/CD processes into optimal, automated workflows within GitLab, allowing for efficient delivery of high quality software. Then, use those model CI/CD templates to scale new ways of working.
  level: 1 - Product
  order: 11
  category: Acceleration
  maturity: Minimal
  planned-maturity: Lovable
  duration_desc: 6-8 weeks
  target_audience: Customers looking to accelerate adoption of GitLab CI/CD capabilities and reduce time-to-value
  price_desc: Varies depending on customer context 
  sowsd: SOW Template
  sowsd_ref: https://drive.google.com/file/d/1PXHhQIJ00SMJQStcG4wBGfyxQ_BCGLCU/view?usp=sharing

- id: devsecops-app-transformation
  name: DevSecOps App Transformation
  desc_url: https://drive.google.com/file/d/1TDJSVO9uvy4NqC6uksQsSc_sSgEcpacV/view?usp=drive_link
  short_desc: Transform up to 2 application pipelines by building in automated security scans and creating a foundation to scale security and compliance adoption.
  description2: Design of up to two end to end pipelines to include GitLab’s suite of security and compliance features, with hands on guidance from a trained GitLab engineer. Define and standardize an easily manageable security process to keep software risk-free while enabling developers to be productive and collaborate with security professionals.
  level: 1 - Product
  order: 12
  category: Acceleration
  maturity: Minimal
  planned-maturity: Lovable
  duration_desc: 3-5 weeks
  target_audience: Customers looking to accelerate shift-left security and compliance adoption, leverage GitLab Ultimate’s vast capabilities, and define a simple, scalable, and standardized security process.
  price_desc: Varies depending on customer context 
  sowsd: SOW Template
  sowsd_ref: https://drive.google.com/file/d/1TkMxGJ2qdIlOnnym5_owMM6UpBf_3N9_/view?usp=sharing 

#- id: governance-foundations
#  name: Governance Foundations
#  desc_url: https://drive.google.com/file/d/1u25k7QYqhekIMe2PA8jdl4p1D2fpPSAG/view?usp=share_link
#  short_desc: Plan, design, and implement a comprehensive security and compliance layer on top of your existing CI/CD pipelines to standardize and #consistently enforce security guidelines across all of your applications.
#  description2: Plan, design, and implement a comprehensive security and compliance layer on top of your existing CI/CD pipelines to standardize and #consistently enforce security guidelines across all of your applications.
#  level:    1 - Product
#  category: Consulting
#  maturity: Viable
#  planned-maturity: Lovable
#  duration_desc: 3-6 weeks
#  target_audience: Customers who want to start working on improving their software security practices
#  price_desc: Custom SOW

- id: training_sessions_fundamentals
  name:     GitLab with Git Fundamentals Training
  sow_name: Basic Training
  desc_url: https://about.gitlab.com/services/education/git-fundamentals/
  short_desc: GitLab training on using GitLab for source control management, as well as an overview of basic Git concepts and command-line instructions.
  long_desc: |
    This class provides users with an introduction to GitLab and Git. It starts with an overview of GitLab so you can learn the basics about what GitLab does and why DevOps teams use it. Then it dives into Git, the version control system used by GitLab for source code management. You'll learn and practice fundamental Git concepts and commands. Throughout the course we'll provide demos and hands-on practice with many of the foundational processes and tasks that DevOps teams use in GitLab: committing changes, creating branches and merge requests, using a CI/CD pipeline, and accessing security scanning.<br/>
    <br/>
    GitLab with Git Basics covers some features that are available in all three GitLab pricing tiers (Free, Premium, and Ultimate), some features that are only available in Premium and Ultimate, and a small number of features that are only available in Ultimate.
  description2:
    Covers what GitLab does, why DevOps teams use it, and how it works with Git; Key processes and tasks teams work on in GitLab, such as committing changes, creating branches and merge requests, using a CI/CD pipeline, and accessing security scanning; Includes access to GitLab Certified Associate assessments
  target_audience: |
    <ul>
      <li>Anyone new to GitLab and/or Git</li>
      <li>Prerequisites
        <ul>
          <li>High-level knowledge of the software development lifecycle</li><li>Experience with any version control system is helpful but not required</li>
        </ul>
      </li>
    </ul>
  learning_objectives:
  preresources:
  level: 1 - Product
  order: 13
  category: Education
  maturity: Lovable
  planned-maturity: Lovable
  price: 7000
  price_desc: <strong>On-site:</strong> $7,000 plus travel expenses for each instructor. </br> <strong>Remote:</strong> $5,000.
  public_price: 399 (not yet available - coming soon)
  facility_price: 2000
  unit: session
  duration: 1
  duration_desc: <strong>On-site:</strong> Delivered in a single day, including 1-hour break for lunch. </br> <strong>Remote:</strong> Delivered in a single day, including 1-hour break for lunch.
  class_size: Maximum 12 attendees. Order <a href ="https://about.gitlab.com/services/education/ILT-Seat-Add-On/">this seat add-on</a> to increase total seats per class.
  prereqs:
  standard_sow: https://docs.google.com/document/d/1tZxq2Pkig_6ZDfxF_ha7iVHIuTr4NtIZvMS2o0Sh88Y/edit
  stages: Plan, Create, Verify

- id: training_sessions_security_essentials_remote
  name:     GitLab Security Essentials
  sow_name: Security Essentials Training - Remote SOW
  desc_url: https://about.gitlab.com/services/education/security-essentials/
  short_desc: Live security training for Gold/Ultimate customers
  long_desc: |
    This course covers all of the essential security capabilities of GitLab, including Static Application Security Testing, secret detection, Dynamic Application Security Testing, dependency scanning, container scanning, license compliance, and fuzz testing.<br/><br/>Since most of these features are only available for customers with an Ultimate license, <strong>this course is intended for Ultimate customers only.</strong>
  description2:
    This course covers all of the essential security capabilities of GitLab, including Static Application Security Testing, secret detection, Dynamic Application Security Testing, dependency scanning, container scanning, license compliance, and fuzz testing. <strong>Since most of these features are only available for customers with an Ultimate license, this course is intended for Ultimate customers only.</strong>
  target_audience: |
    <ul>
      <li>Project managers, developers, DevSecOps engineers, and security specialists who are using GitLab with the <b>Ultimate</b> license</li>
      <li>Prerequisites
        <ul>
          <li><a href ="https://about.gitlab.com/services/education/git-fundamentals/">GitLab with Git Fundamentals course</a> or equivalent knowledge</li>
          <li><a href ="https://about.gitlab.com/services/education/gitlab-ci/">GitLab CI/CD course</a> or equivalent knowledge</li>
        </ul>
      </li>
      <li><b>This course is not appropriate for students without any Git, GitLab, or GitLab CI/CD knowledge</b></li>
    </ul>
  learning_objectives:
  prereqs:
  level: 1 - Product
  order: 14
  category: Education
  maturity: Lovable
  planned-maturity: Lovable
  price: 7000
  price_desc: <strong>Remote:</strong> $5,000<br/><strong>On-site:</strong> $7,000 plus travel expenses for each instructor
  facility_price: 2000
  unit: session
  duration: 1
  duration_desc: <strong>Remote:</strong> Delivered in a single day, including 1-hour break for lunch. <br/><strong>On-site:</strong> Delivered in a single day, including 1-hour break for lunch.
  class_size: Maximum 12 attendees. Order <a href ="https://about.gitlab.com/services/education/ILT-Seat-Add-On/">this seat add-on</a> to increase total seats per class.
  standard_sow: https://docs.google.com/document/d/1glYSjPuys_MMiLSi9_ePYCAoKkWyZmU4BCgNZpicu7c/edit?usp=sharing
  stages: Secure, Govern

- id: training_sessions_pm
  name:     GitLab Agile Portfolio Management Training
  sow_name:     GitLab Agile Portfolio Management Training
  desc_url: https://about.gitlab.com/services/education/pm/
  short_desc: GitLab training on using GitLab issues, epics, and other project management tools to manage projects using different workflows.
  long_desc: |
    This class introduces users to GitLab's Plan stage, where they can manage software products or other projects. It focuses on the various tools available, including issues, epics, milestones, iterations, labels, roadmaps, burndown charts, and boards.
        <br/><br/>
        GitLab for Project Managers covers some features that are available in all three GitLab pricing tiers (Free, Premium, and Ultimate), some features that are only available in Premium and Ultimate, and a small number of features that are only available in Ultimate.
  description2:
    Covers how to set up projects by creating issues, labels, milestones, and groups; Approaches for managing projects using GitLab boards, epics, and roadmaps; Best practices for using GitLab to develop portfolio plans
  target_audience: | 
    <ul>
      <li>Anyone who plans, tracks, and manages projects, including project managers, program managers, product owners, and scrum masters</li>
      <li>Prerequisite knowledge
        <ul>
          <li>High-level knowledge of the software development lifecycle</li>
          <li>Familiarity with Scrum, Kanban, or other project management workflows</li>
          <li>Topics covered in the <a href="https://about.gitlab.com/services/education/git-fundamentals/">GitLab with Git Fundamentals course</a> or equivalent experience with Git and GitLab is recommended but not required</li>
        </ul>
      </li>
    </ul>
  learning_objectives:
  prereqs:
  level: 1 - Product
  order: 15
  price_desc: <strong>Remote:</strong> $5,000<br/><strong>On-site:</strong> $7,000 plus travel expenses for each instructor
  duration_desc: <strong>Remote:</strong> Delivered in a single day, including 1-hour break for lunch. <br/><strong>On-site:</strong> Delivered in a single day, including 1-hour break for lunch.
  class_size: Maximum 12 attendees. Order <a href ="https://about.gitlab.com/services/education/ILT-Seat-Add-On/">this seat add-on</a> to increase total seats per class.
  category: Education
  maturity: Lovable
  planned-maturity: Lovable
  unit: session
  standard_sow: https://docs.google.com/document/d/1m7wA05YjvgH1FmwJBCE3v4xDe-FA37xU2Saj38XANy8/edit
  stages: Plan

- id: training_sessions_cicd
  name:     GitLab CI/CD Training
  sow_name: GitLab CI CD Training
  desc_url: https://about.gitlab.com/services/education/gitlab-ci/
  short_desc: GitLab training on using the Verify, Package, and Release stages to support your team's CI/CD efforts.
  long_desc: |
    This class explains what Continuous Integration/Continuous Deployment (CI/CD) pipelines are and what value they bring to the software development lifecycle. It also outlines the architecture behind GitLab's CI/CD pipelines and explains how to set up basic CI/CD pipelines in your own projects. Finally, it touches on a handful of specific CI/CD pipeline use cases, including pushing your app to a Docker Container registry and using one of GitLab's security scanners.
    <br/><br/>
    GitLab CI/CD Training covers some features that are available in all three GitLab pricing tiers (Free, Premium, and Ultimate), some features that are only available in Premium and Ultimate, and a small number of features that are only available in Ultimate.
  description2:
    Covers what CI/CD does, why DevOps teams use it, and how it works within GitLab; How to set up and apply CI/CD inside GitLab; Includes access to GitLab CI/CD Specialist certification assessments
  level: 1 - Product
  order: 16
  target_audience: |
    <ul>
      <li>Development teams, quality assurance teams, release engineers</li>
      <li>Prerequisite knowledge
        <ul>
          <li>Topics covered in the <a href="https://about.gitlab.com/services/education/git-fundamentals/">GitLab with Git Fundamentals course</a> or equivalent experience with Git and GitLab</li>
          <li><b>This course is not appropriate for students with no Git or GitLab knowledge</b></li>
        </ul>
      </li>
    </ul>
  learning_objectives:
  prereqs:
  preresources:
  category: Education
  maturity: Lovable
  planned-maturity: Lovable
  price: 7000
  price_desc: <strong>Remote:</strong> $5,000<br/><strong>At your site:</strong> $7,000 plus travel expenses for each instructor
  facility_price: 2000
  unit: session
  duration: 1
  duration_desc: <strong>Remote:</strong> Delivered in a single day, including 1-hour break for lunch. <br/><strong>On-site:</strong> Delivered in a single day, including 1-hour break for lunch.
  class_size: Maximum 12 attendees. Order <a href ="https://about.gitlab.com/services/education/ILT-Seat-Add-On/">this seat add-on</a> to increase total seats per class.
  standard_sow: https://docs.google.com/document/d/1ncYAJu2Snq2DYvA1Ty0VZNhPKqXWJi-8_tOtA16uSZU/edit
  stages: Verify, Package, Release

- id: training_sessions_admin
  name:     GitLab System Administration Training
  sow_name: Custom
  desc_url: https://about.gitlab.com/services/education/admin/
  short_desc: GitLab training on how to set up and maintain self-managed GitLab instance.
  long_desc: |
    This course covers installation, configuration and maintenance tasks for a GitLab self-managed instance. <b>This course is not intended for Gitlab.com customers.</b>
    <br/><br/>
    GitLab System Administration Training covers some features that are available in all three GitLab pricing tiers (Free, Premium, and Ultimate), some features that are only available in Premium and Ultimate, and a small number of features that are only available in Ultimate.
  description2:
    Covers administering and maintaining a GitLab self-managed instance.
  level: 1 - Product
  order: 17
  target_audience: |
    <ul>
      <li>Tier 1 and Tier 2 system administrators who serve as the GitLab platform owners for their organization</li>
      <li>Anyone responsible for installing, administering, monitoring, or troubleshooting a GitLab self-managed instance</li>
      <li>Prerequisites
        <ul>
          <li>Topics covered in the <a href="https://about.gitlab.com/services/education/git-fundamentals/">GitLab with Git Fundamentals course</a> or equivalent experience with Git and GitLab</li>
        </ul>
      </li>
    </ul>
  learning_objectives:
  prereqs:
  category: Education
  maturity: Lovable
  planned-maturity: Lovable
  price: 12000
  price_desc: <strong>Remote:</strong> $12,000<br/><strong>On-site:</strong> $16,000 plus travel expenses for each instructor<br/>Includes a GitLab-provided demo environment for hands-on exercises
  facility_price: 2000
  unit: session
  duration: 2
  duration_desc: <strong>Remote:</strong> Delivered as two 1-day sessions, each including 1 hour break for lunch.<br/><strong>On-site:</strong> Delivered as two 1-day sessions, each including 1 hour break for lunch.
  class_size: Maximum 12 attendees. Order <a href ="https://about.gitlab.com/services/education/ILT-Seat-Add-On/">this seat add-on</a> to increase total seats per class.
  standard_sow: #TODO
  stages: Manage

- id: training_sessions_devsecops
  name:     GitLab DevSecOps Fundamentals Training - Remote
  sow_name:     DevSecOps Fundamentals Training
  desc_url: https://about.gitlab.com/services/education/devsecops-fundamentals/
  long_desc: |
    Concurrent DevSecOps is a new way of thinking about how to create and ship software. Rather than organizing work in a sequence of steps and handoffs, the power of working concurrently is in unleashing collaboration across the organization. Throughout the <b>four courses</b> in this learning offering (GitLab with Git Basics, CI/CD, Project Management, and Security Essentials), we’ll walk your team members through the fundamentals of using GitLab as a complete DevSecOps platform. Attendees will gain hands-on experience using GitLab throughout the lifecycle stages of Manage, Plan, Create, Verify, Package, Secure, and Release.
    <br/><br/>
    Due to the comprehensiveness of the GitLab capabilities covered in this course, <b>it is recommended for customers with Ultimate licenses.</b>
  description2:
    Covers all key features and capabilities for each stage in the GitLab DevSecOps lifecycle through four courses
  level: 1 - Product
  order: 18
  category: Education
  target_audience: |
    <ul>
      <li>All DevSecOps team members
        <ul>
          <li>Project managers</li>
          <li>Technical leads</li>
          <li>Developers</li>
          <li>Quality Assurance engineers</li>
          <li>Security specialists</li>
          <li>Release engineers</li>
        </ul>
      </li>
      <li>Prerequisites
        <ul>
          <li>High-level knowledge of the software development lifecycle</li>
          <li>Experience with any version control system is helpful but not required</li>
        </ul>
      </li>
    </ul>
  learning_objectives:
  prereqs:
  maturity: Lovable
  planned-maturity: Lovable
  price: 20000
  price_desc: <strong>Remote:</strong> $20,000<br/>Delivery includes coordination of the cohort's experience of the presentations, demos, and labs across all four courses for optimal continuity.
  unit: session
  facility_price: 8000
  class_size: Maximum 12 attendees per cohort. Order a quantity of 4 seats per additional attendee using <a href ="https://about.gitlab.com/services/education/ILT-Seat-Add-On/">this seat add-on</a> to increase total seats per cohort.
  duration: 4
  duration_desc: Delivered in four 1-day sessions, including a 1 hour lunch break for each day.
  standard_sow: https://docs.google.com/document/d/15tI6A8nU9pYIn8nPyeO7FTW-PJXSDfYCrlCgMJwzMYI/edit?usp=sharing
  stages: All

- id: training_sessions_certifications
  name:     GitLab Certification Exam
  sow_name:     GitLab Certification Exam
  desc_url: https://university.gitlab.com/pages/certifications
  short_desc: Earn a GitLab certification.
  long_desc: |
    This offering provides a way for customers to encourage skill growth and recognition. 
  description2: Allow individuals to earn a GitLab certification with a digital badge that can be added to a resume, LinkedIn, or portfolio.
  target_audience: Customers looking to upskill and give recognition for doing so. 
  level: 1 - Product
  order: 19
  category: Education
  maturity: Viable
  planned-maturity: Lovable
  price: $150
  price_desc: $150
  unit: seat
  duration: 1
  duration_desc: Each certification is $150, and requires an 80% or higher to pass. 
  standard_sow: #TODO
  stages: Any 

- id: training_sessions_seat_add-on
  name:     GitLab Training Per-Seat Add-on
  sow_name:     GitLab Training Per-Seat Add-on
  desc_url: https://about.gitlab.com/services/education/ILT-Seat-Add-On/
  short_desc: Adds on additional seats to the 12-person limit for standard training sessions.
  long_desc: |
    This offering provides a way for a customer ordering a private instructor-led training session for their organization to add on additional seats to the 12-person limit for a standard live training session. For example, to order a live training session for 15 attendees, a customer can order 1 standard training session for 12 attendees plus 3 add-on seats.
  description2: Adds on to the 12-person limit for standard training sessions.
  target_audience: Customers with more than 12 attendees per standard live training session
  level: 1 - Product
  order: 20
  category: Education
  maturity: Viable
  planned-maturity: Lovable
  price: $500
  price_desc: $500
  unit: seat
  duration: 1
  duration_desc: Each standard live training consists of two 4-hour remote sessions or one 1-day onsite session
  class_size: This offering adds a quantity of 1 seat to a standard 12-seat class
  standard_sow: #TODO
  stages: Any

- id: CTP-Student-Kits
  name: CTP Student Kits
  description2: Student kits are for sale to CTP applicants and certified partners. One kit per student is required when a partner delivers the branded GitLab courses. Partners purchase the kits and then assign student username and prelim password to the students. Student kits do not include access codes for the assessment exams.
  desc_url: https://about.gitlab.com/handbook/resellers/services/#gitlab-certified-training-partner-requirements
  level: 1 - Product
  order: 21
  maturity: Viable
  category: Education
  duration_desc: N/A
  price_desc: Student Kits available for purchase by emailing levelup@gitlab.com
  target_audience: This is for Partners who have earned the Certified Training Partner Designation.

- id: Success-Services
  name: Success Services
  description2:  Improve your security and compliance posture, optimize your GitLab usage, decrease time to market, and reduce bottlenecks with strategic guidance and iterative assistance to plan from a customer success manager.
  desc_url: https://content.gitlab.com/viewer/6567dc0fc921ddee8e651e58 
  level: 1 - Product
  order: 22
  maturity: Viable
  category: Customer Success
  # standard_sow: https://docs.google.com/document/d/1nqF7QeAQaMvloCIb56QVt1Y0edENTirZjQMKxW8KoJ4/edit?usp=sharing 
  duration_desc: 1 year
  price_desc: Annual subscription of $50,000 USD
  target_audience: This is for customers looking for a named customer success manager to help them accelerate achievement of DevSecOps outcomes and maximize GitLab value realization. 
